<?xml version="1.0" encoding="UTF-8"?>
<PMESSAGE desc_thai="รายการข้อความส่วนตัว" desc_eng="Private Messages Transaction" verify="E" editcheck="true" verifygroup="true" mainhelp="PMESSAGEHELP" referhelp="PMESSAGEHELP" mainkey="MESSAGEID" fieldsystem="*">
	<FIELD>
		<MESSAGEID lang="A" encrypt="false" verify="false" log="false"  type="String">
			<KEY>1</KEY>
			<WIDTH>15</WIDTH>
			<DESC_ENG>Message ID</DESC_ENG>
			<DESC_THAI>รหัสข้อความส่วนตัว</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>รหัสข้อความส่วนตัว</ALT_THAI>
				<ALT_ENG>Message ID</ALT_ENG>
				<REQUIRE>TRUE</REQUIRE>
			</COMPONENT>
		</MESSAGEID>

	<COMPANYID lang="A" encrypt="false" verify="false" log="false" type="String">
			<KEY>2</KEY>
			<WIDTH>5</WIDTH>
			<DESC_ENG>Company ID</DESC_ENG>
			<DESC_THAI>รหัสสำนักงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>รหัสสำนักงาน</ALT_THAI>
				<ALT_ENG>Company ID</ALT_ENG>
			</COMPONENT>
		</COMPANYID>

	<SENDERID lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>MUSER</RELATION>
			<DESC_ENG>Sender ID</DESC_ENG>
			<DESC_THAI>รหัสผู่ส่งข้อความ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>รหัสผู่ส่งข้อความ</ALT_THAI>
				<ALT_ENG>Sender ID</ALT_ENG>
				<REQUIRE>TRUE</REQUIRE>
			</COMPONENT>
		</SENDERID>		

	<RECEIVERID lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>MUSER</RELATION>
			<DESC_ENG>Receiver ID</DESC_ENG>
			<DESC_THAI>รหัสผู้รับข้อความ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>รหัสผู้รับข้อความ</ALT_THAI>
				<ALT_ENG>Receiver ID</ALT_ENG>
				<REQUIRE>TRUE</REQUIRE>
			</COMPONENT>
		</RECEIVERID>

	<SENTDATE lang="A" encrypt="false" verify="false" log="false" type="Date">
			<WIDTH>20</WIDTH>
			<DESC_ENG>Sent Date</DESC_ENG>
			<DESC_THAI>วันที่ส่งข้อความ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>20</MAXSIZE>
				<SIZE>20</SIZE>
				<ALT_THAI>วันที่ส่งข้อความ</ALT_THAI>
				<ALT_ENG>Sent Date</ALT_ENG>
				<REQUIRE>TRUE</REQUIRE>
			</COMPONENT>
		</SENTDATE>
		 		
	<SENTTIME lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Sent Time</DESC_ENG>
			<DESC_THAI>เวลาที่ส่งข้อความ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Sent Time</ALT_ENG>
				<ALT_THAI>เวลาที่ส่งข้อความ</ALT_THAI>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
	</SENTTIME>
	</FIELD>

	<RELATION>				
		<PMINBOX>
			<PARENT>PMESSAGE.MESSAGEID</PARENT>
			<CHILD>PMINBOX.MESSAGEID</CHILD>
		</PMINBOX>
	</RELATION>

</PMESSAGE>
